// pages/mine/myJob/index.js
const app = getApp();
const commonUtil = require("../../../utils/commonUtil");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    recordList:[],
    inputVal:'',
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getList();
  },
  getList(){
      var that = this;
      wx.request({
        url: app.globalData.ip + "/yishoudan/common/order/list",
        method: "Post",
        header: app.globalData.headers,
        success: function (res) {
          console.log(res);
          res.data.data.forEach((item,index) => {
              item['citys'] = commonUtil.setJobInfoPosition(item.customJob.storeDistrict);
              // item['genderRestrict'] = commonUtil.getGenderByMinAge(item.customJob.customJob);
              if (app.isNotEmptyCheck(item.customJob.minAge) && app.isNotEmptyCheck(item.customJob.maxAge)) {
                item["age"]  = item.customJob.minAge + "-" + item.customJob.maxAge + "岁";
              } else if (app.isNotEmptyCheck(item.customJob.minAge)) {
                item["age"]  = item.customJob.minAge + "岁以上";
              } else if (app.isNotEmptyCheck(item.customJob.maxAge)) {
                item["age"]  = item.customJob.maxAge + "岁以下";
              }
          })
          that.setData({
            recordList:res.data.data
          })
        }
      })
  },
  goDetail (e) {
    console.log(e.currentTarget.dataset.id);
    var that = this;
    wx.navigateTo({
      url: "../../detail/index?storeJobId=" + e.currentTarget.dataset.id,
    });
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})